Perl 6 - the future is here, just unevenly distributed

IRC log for #darcs, 2017-11-21

| Channels | #darcs index | Today | | Search | Google Search | Plain-Text | summary

All times shown according to UTC.

Time Nick Message
00:26 gnusosa joined #darcs
00:26 gnusosa joined #darcs
02:54 mizu_no_oto joined #darcs
02:55 ilbot3 joined #darcs
02:55 Topic for #darcs is now http://darcs.net/ | logs: http://irclog.perlgeek.de/darcs/ | darcs 2.12.5 is out http://darcs.net/Releases/2.12
03:15 mizu_no_oto joined #darcs
03:57 mizu_no_oto joined #darcs
06:49 _rht joined #darcs
06:56 ThomasLocke joined #darcs
08:36 Weltraumschaf joined #darcs
10:53 Weltraumschaf joined #darcs
14:16 IbnFirnas joined #darcs
17:17 Weltraumschaf joined #darcs
20:27 vikraman joined #darcs
21:34 dino- joined #darcs
21:40 dino- Hello. I'm trying to get a copy of darcsden working on a Ubuntu system. I got everything in place, including building the most recent source on hub.darcs.net...
21:41 dino- And I'm getting an error that suggests that the CouchDB driver library for Haskell is too old for the CouchDB 1.6 that was available for this distro.
21:41 dino- I'm curious about what the hub.darcs.net instance is running against for CouchDB. Anyone here who knows?
21:45 dino- The error is "CallStack (from HasCallStack):
21:45 dino- error, called at src/Database/CouchDB/Unsafe.hs:374:18 in CouchDB-1.2.2-LySRTzM1i2kIYqoAwyrKqs:Database.CouchDB.Unsafe"
21:46 dino- The README says it's compatible with CouchDB 1.2. The version I have installed (stock for Ubuntu 17.04) is 1.6
21:46 dino- And the source hasn't been touched in 3 years.
22:11 kmicu ;(

| Channels | #darcs index | Today | | Search | Google Search | Plain-Text | summary